const builtin = @import("builtin");
const Builder = @import("std").build.Builder;

pub fn build(b: *Builder) void {
    const mode = b.standardReleaseOptions();

    const exe = b.addExecutable("xenon", "src/start.zig");
    exe.setBuildMode(mode);

    exe.setTarget(.x86_64, .freestanding, .elfv2);
    exe.code_model = .kernel;
    // exe.force_pic = true;

    exe.setLinkerScriptPath("linker.ld");
    exe.addObjectFile("third_party/font.o");
    exe.addIncludeDir("third_party/bootboot");

    exe.install();
    b.default_step.dependOn(&exe.step);
}
