#!/usr/bin/env sh
set -e -o pipefail

if [ ! -f out/disk.img ]; then
    echo "Missing disk.img, did you read the README?"
fi

TARGET_ARGS=""

case $1 in
    '')
        ;;
    bios)
        ;;
    uefi)
        TARGET_ARGS="-pflash third_party/bios.bin"
        ;;
    *)
        echo "Unknown target $1"
        exit 1
        ;;
esac

qemu-system-x86_64 -hda out/disk.img \
                   -net none -m 4G -smp 4 \
                   -no-reboot -no-shutdown \
                   -d in_asm,int,guest_errors \
                   -cpu qemu64,+pdpe1gb -s \
                   $TARGET_ARGS
