const std = @import("std");
const assert = std.debug.assert;

const PosixHeader = packed struct {
    comptime {
        assert(@sizeOf(@This()) == 512);
    }
    const magic_value = [6]u8{ 'u', 's', 't', 'a', 'r', 0 };

    // Fields are zero filled octals and a null byte
    name: [100]u8, // Null terminated string
    mode: [8]u8,
    uid: [8]u8,
    gid: [8]u8,
    size: [12]u8,
    mtime: [12]u8,
    chksum: [8]u8,
    typeflag: u8,
    linkname: [100]u8, // Null terminated string
    magic: [6]u8, // Null terminated string
    version: [2]u8,
    uname: [32]u8, // Null terminated string
    gname: [32]u8, // Null terminated string
    devmajor: [8]u8,
    devminor: [8]u8,
    prefix: [155]u8,
};

test "Size" {
    const x: PosixHeader = undefined;
}
