const std = @import("std");
const OutStream = std.io.OutStream;

const cpu = @import("cpu.zig");
const framebuffer_mod = @import("framebuffer.zig");
const logger = @import("logger.zig");
const memory = @import("memory.zig");
const types = @import("types.zig");

pub var cpu_capabilities: cpu.Capabilities = cpu.Capabilities{};

pub var initrd: ?[]const u8 = null;

pub var framebuffer: ?framebuffer_mod.Framebuffer = null;
pub var framebuffer_stream: ?framebuffer_mod.Framebuffer.OutStream = null;

pub var log_target: ?*OutStream(types.NoError) = null;
pub var log_stream: *OutStream(types.NoError) = &logger.log_stream;

pub var kernel_memory: ?memory.VirtualMemory = null;
pub var physical_memory: ?memory.PhysicalMemory = null;

pub var bp_stack: ?[]u8 = null;
